Skip to main content
GET
/
api
/
2.0
/
reference_medications
List Reference Medications
curl --request GET \
  --url https://sandbox.elationemr.com/api/2.0/reference_medications/ \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "active_ndcs": [
        "<string>"
      ],
      "brand_name": "<string>",
      "created_date": "2023-11-07T05:31:56Z",
      "creation_type": "user",
      "form": "<string>",
      "generic_name": "<string>",
      "id": 123,
      "is_controlled": false,
      "market_end_date": "2023-11-07T05:31:56Z",
      "name": "<string>",
      "ndcs": [
        "<string>"
      ],
      "obsolete_date": "2023-11-07T05:31:56Z",
      "practice": 123,
      "route": "<string>",
      "rxnorm_cuis": [
        "<string>"
      ],
      "strength": "<string>",
      "type": "prescription"
    }
  ],
  "count": 123,
  "next": "http://api.example.org/accounts/?offset=400&limit=100",
  "previous": "http://api.example.org/accounts/?offset=200&limit=100"
}

Documentation Index

Fetch the complete documentation index at: https://help.elationhealth.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

limit
integer

Number of results to return per page.

name
(string | null)[]

The name of the reference medication.

ndc
(string | null)[]

Any of the National Drug Codes of packaged medications associated with the reference medication.

offset
integer

The initial index from which to return the results.

order_by
string

Which field to use when ordering the results.

practice
integer<int64>[]

The id of the practice that created the reference medication (if applicable).

rxnorm_cui
string[]

Any of the RxNorm Concept Identifiers associated with the reference medication.

Response

200 - application/json
results
object[]
required
count
integer
Example:

123

next
string<uri> | null
Example:

"http://api.example.org/accounts/?offset=400&limit=100"

previous
string<uri> | null
Example:

"http://api.example.org/accounts/?offset=200&limit=100"